<template>
  <div class="catalog section">
    <h1>{{ title }}</h1>
    <div class="catalog-filters">
      <div class="catalog-filters__item">
        <span>Ҷустуҷӯ</span>
        <Input type="text" />
      </div>

      <div class="catalog-filters__item">
        <span>Аз рӯи ихтисос ҷудо кунед</span>
        <Select single :data="specializations" v-model="specialization" />
      </div>

      <div class="catalog-filters__item">
        <span>Аз рӯи категория ҷудо кунед</span>
        <Select
          single
          class="registration-item"
          :data="categories.map((el) => `${el.name}\n(${el.specialization})\n`)"
          v-model="category"
        />
      </div>

      <div class="catalog-filters__item">
        <span>Аз рӯи намуди чорабини ҷудо кунед</span>
        <Select
          single
          class="registration-item"
          :data="events.map((el) => `${el.name}\n - ${el.type}\n`)"
          v-model="event"
        />
      </div>
    </div>
    <div class="catalog-list">
      <Exercise
        v-for="exercise in exercises"
        :key="exercise._id"
        :item="exercise"
        :access="exercise.access"
      />
    </div>
  </div>
</template>

<script>
export default {
  props: {
    title: {
      default: "",
      type: String,
    },
    exercises: {
      default: [],
      type: Array,
    },
    specializations: {
      default: [],
      type: Array,
    },
    events: {
      default: [],
      type: Array,
    },
    categories: {
      default: [],
      type: Array,
    },
  },
  data() {
    return {
      specialization: "",
      category: "",
      event: "",
    };
  },
  fetchOnServer: false,
  fetch() {},
  methods: {},
};
</script>

<style lang="scss" scoped>
.catalog {
  h1 {
    margin-top: 40px;

    @include less-than(tablet) {
      margin-top: 20px;
      font-size: 20px;
      width: 80%;
    }
  }
  &-filters {
    margin-top: 20px;
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-gap: 40px;
    width: 100%;
    @include less-than(tablet) {
      grid-template-columns: 1fr;
      grid-gap: 20px;
    }
  }

  &-filters__item {
    max-width: 350px;
    span {
      display: block;
      padding-bottom: 5px;
    }
  }

  &-list {
    margin-top: 40px;
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    text-align: left;
    grid-gap: 40px;
    min-height: 70vh;
    @include less-than(tablet) {
      grid-template-columns: repeat(1, 1fr);
    }
  }
}
</style>
